<template>
  <div>
    <b-icon-info-circle-fill
      id="popover-target-1"
      variant="info"
      class="iconInfo"
    />
    <b-popover target="popover-target-1" triggers="hover" placement="top">
      <template v-slot:title>Automatismos</template>
      Los automatismos son una forma de agilizar la recogida de recursos
      producidos por los makers.
      <br />El objetivo de los automatismos es autoasignar la producción de un
      recurso, en una o varias regiones, a un mismo sitio,
      <b>
        por eso es recomendable crear puntos intermedios para asignar como
        destino
      </b>, aunque es posible crear automatismos a cualquier tipo de persona.
      <br />Una vez creado el automatismo, cuando un maker pida la recogida de
      material, automaticámente se creará una recogida del pedido al
      transportista asignado.
    </b-popover>
    <h3>Automatismos</h3>
    <b-container fluid>
      <b-row>
        <b-col>
          <b-button
            variant="primary"
            @click="onNewAutomatismButtonClick"
          >
            Nuevo Automatismo
          </b-button>
        </b-col>
      </b-row>
      <b-row>
        <b-col>
          <AutoMovementsList ref="automovements_list" />
        </b-col>
      </b-row>
    </b-container>
    <b-modal
      ref="automatism_bulk_modal"
      centered
      size="xl"
      hide-header
      hide-footer
    >
      <AutomatismsBulkForm @bulk-saved="onAutoMovementSaved" />
    </b-modal>
  </div>
</template>

<script>
import AutomatismsBulkForm from "@/components/AutomatismsBulkForm.vue";
import AutoMovementsList from "@/components/AutoMovementsList.vue";
// import { mapState, mapActions } from "vuex";

export default {
  name: "automatisms-view",
  components: {
    AutomatismsBulkForm,
    AutoMovementsList
  },
  computed: {},
  mounted() {},
  data() {
    return {};
  },
  methods: {
    onAutoMovementSaved() {
      this.$refs.automatism_bulk_modal.hide();
      this.$refs.automovements_list.refresh();
    },
    onNewAutomatismButtonClick() {
      this.$refs.automatism_bulk_modal.show();
    }
  }
};
</script>

<style lang="scss" scoped>
</style>
